#
# spec file for package perl-Crypt-OpenSSL-Bignum
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Crypt-OpenSSL-Bignum
Version:        0.09
Release:        1.35
%define cpan_name Crypt-OpenSSL-Bignum
Summary:        OpenSSL's multiprecision integer arithmetic
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Crypt-OpenSSL-Bignum/
Source0:        https://cpan.metacpan.org/authors/id/K/KM/KMX/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
# MANUAL
BuildRequires:  openssl-devel

%description
Crypt::OpenSSL::Bignum provides access to OpenSSL multiprecision integer
arithmetic libraries. Presently, many though not all of the arithmetic
operations that OpenSSL provides are exposed to perl. In addition, this
module can be used to provide access to bignum values produced by other
OpenSSL modules, such as key parameters from Crypt::OpenSSL::RSA.

_NOTE_: Many of the methods in this package can croak, so use eval, or
Error.pm's try/catch mechanism to capture errors.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-Crypt-OpenSSL-Bignum/Changes
  0.09    2017/12/01
  - fix #4 License is not specified in metadata
  - fix #6 Strip
  and  out of $lib and $inc
  - fix #7 Fix building with OpenSSL 1.1.0
  0.08    2017/02/08
  - Makefile.PL MSWin32 fix
  0.07    2016/10/25
  - Makefile.PL supports OPENSSL_PREFIX or OPENSSL_LIB+OPENSSL_INCLUDE env variables
  - Makefile.PL tries to find libcrypto via pkg-config
* Fri Feb  6 2015 coolo@suse.com
- updated to 0.06
  - fix for #77911 Patch to add more functions
  - new constructors: new, rand, pseudo_rand, rand_range
  - new methods: ucmp, num_bits, num_bytes, rshift, lshift, swap
  - improved pod documentation (added missing functions)
  - XS code cleanup
  0.05    2015/02/04
  - fix for #84369 Win32 compatibility patch
  - fix for #100993 Memory not reclaimed when CTX object goes out of scope
  - fix for #86561 typo fixes
  - fix for #82959 Error in synopsis: Crypt::OpenSSL::Bignum->new_from_hex("0x3e8") returns "0"
  - fix for #81537 to_bin method returns garbage when value is zero
* Wed Jun  6 2012 cfarrell@suse.com
- license update: GPL-1.0+ or Artistic-1.0
  SPDX format
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- recreated by cpanspec 1.78.02
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Jan 20 2009 varkoly@suse.de
- Initial version of  perl-Crypt-OpenSSL-Bignum
